-------------------------------------------------------------------------------
-- iic_plb_1_stub.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity iic_plb_1_stub is
  port (
    fpga_0_clk_1_sys_clk_pin : in std_logic;
    fpga_0_rst_1_sys_rst_pin : in std_logic;
    xps_iic_0_Gpo_pin : out std_logic;
    xps_iic_0_Sda_pin : inout std_logic;
    xps_iic_0_Scl_pin : inout std_logic;
    xps_uartlite_0_RX_pin : in std_logic;
    xps_uartlite_0_TX_pin : out std_logic
  );
end iic_plb_1_stub;

architecture STRUCTURE of iic_plb_1_stub is

  component iic_plb_1 is
    port (
      fpga_0_clk_1_sys_clk_pin : in std_logic;
      fpga_0_rst_1_sys_rst_pin : in std_logic;
      xps_iic_0_Gpo_pin : out std_logic;
      xps_iic_0_Sda_pin : inout std_logic;
      xps_iic_0_Scl_pin : inout std_logic;
      xps_uartlite_0_RX_pin : in std_logic;
      xps_uartlite_0_TX_pin : out std_logic
    );
  end component;

  attribute BOX_TYPE : STRING;
  attribute BOX_TYPE of iic_plb_1 : component is "user_black_box";

begin

  iic_plb_1_i : iic_plb_1
    port map (
      fpga_0_clk_1_sys_clk_pin => fpga_0_clk_1_sys_clk_pin,
      fpga_0_rst_1_sys_rst_pin => fpga_0_rst_1_sys_rst_pin,
      xps_iic_0_Gpo_pin => xps_iic_0_Gpo_pin,
      xps_iic_0_Sda_pin => xps_iic_0_Sda_pin,
      xps_iic_0_Scl_pin => xps_iic_0_Scl_pin,
      xps_uartlite_0_RX_pin => xps_uartlite_0_RX_pin,
      xps_uartlite_0_TX_pin => xps_uartlite_0_TX_pin
    );

end architecture STRUCTURE;

